Get a course with its sections, lessons and lesson blocks
GET
/apps/{appId}/courses/{courseId}
const url = 'https://api.passion.io/v1/apps/example/courses/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.passion.io/v1/apps/example/courses/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appId
required
The id of the App, as Studio shows it.
string
courseId
required
The id of a course, as list_courses lists it.
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
string
name
required
string
state
required
Members see a lesson of a published course as soon as it is created.
string
sections
required
Array<object>
object
id
required
string
name
required
string
lessons
required
Array<object>
object
id
required
string
name
required
string
lessonsOutsideSections
required
The lessons of the course that are in no section.
Array<object>
object
id
required
string
name
required
string
Example
{ "state": "published", "sections": [ { "lessons": [ { "blocks": [ { "kind": "text" } ] } ] } ], "lessonsOutsideSections": [ { "blocks": [ { "kind": "text" } ] } ]}